## javax.el
Class PropertyNotWritableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.el.ELException
                      javax.el.PropertyNotWritableException

All Implemented Interfaces:
  Serializable

    public class PropertyNotWritableException

extends ELException

Thrown when a property could not be written to while setting the value on a `ValueExpression`.

For example, this could be triggered by trying to set a map value on an unmodifiable map.

Since:
  JSP 2.1
See Also:
  Serialized Form

Constructor Summary
`PropertyNotWritableException()` Creates a `PropertyNotWritableException` with no detail message.
`PropertyNotWritableException(String pMessage)` Creates a `PropertyNotWritableException` with the provided detail message.
`PropertyNotWritableException(String pMessage, Throwable pRootCause)` Creates a `PropertyNotWritableException` with the given detail message and root cause.
`PropertyNotWritableException(Throwable exception)` Creates a `PropertyNotWritableException` with the given root cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyNotWritableException

    public PropertyNotWritableException()

  Creates a `PropertyNotWritableException` with no detail message.

### PropertyNotWritableException

    public PropertyNotWritableException(String pMessage)

  Creates a `PropertyNotWritableException` with the provided detail message.

  Parameters:
    `pMessage` - the detail message

### PropertyNotWritableException

    public PropertyNotWritableException(Throwable exception)

  Creates a `PropertyNotWritableException` with the given root cause.

  Parameters:
    `exception` - the originating cause of this exception

### PropertyNotWritableException

    public PropertyNotWritableException(String pMessage,
                                        Throwable pRootCause)

  Creates a `PropertyNotWritableException` with the given detail message and root cause.

  Parameters:
    `pMessage` - the detail message
    `pRootCause` - the originating cause of this exception

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.